Skip to main content
POST

Headers

string
required
Your API key for authentication.

Body Parameters

string
The new prompt to test for this node. This will be used to simulate the agent’s responses against the pinned and auto-selected conversations. Either new_prompt or static_text can be provided, but not both.
string
Static text that the agent will always reply with. Either static_text or new_prompt can be provided, but not both. This is useful to test variable extractions on static text nodes.
string
The judge prompt to evaluate the test results. If not provided, the default judge prompt will be used. The default judge prompt will evaluate the agent responses against the node prompt.
string
The prompt for the node loop condition.
array
Array of variables to extract from the conversation.
string
required
The name of the variable to extract.
string
required
The type of the variable. Must be one of: "string", "integer", or "boolean".
string
required
A description of what the variable represents.
boolean
required
Whether spelling precision should be enforced for this variable.
array
required
Array of conversation references to include in the test. The system may automatically add up to 4 additional recent completed calls for the same node and pathway.
string
required
Unique identifier of a call to include in the test run.
string
required
Type of the conversation. We only support “call” for now.
string
required
Identifier of the node to test within the specified pathway.
string
required
Identifier of the pathway that the node and conversations belong to.
string
The version of the pathway to test against.
number
Optional number of permutations to generate for each conversation. If omitted, this defaults to 5. The total generations per conversation will be n_permutations + 1 (one for the original user messages plus one per permutation).

Response

string
Identifier of the created node test run. Use this ID with GET /v1/node_tests/run/:id to retrieve the full results.

Docs for agents: llms.txt